Skip to content
Start here

Create an Account

client.accounts.create(AccountCreateParams { name, standalone, type, 2 more } params, RequestOptionsoptions?): Account { id, name, type, 3 more }
POST/accounts

Create an Account. To create the Account within an Organization, provide unit.id and omit standalone. To create a standalone Free Account, provide standalone: true and omit unit. Providing both fields is invalid. If you omit both fields, Cloudflare can determine the destination only when the User is an administrator of exactly one Organization. Cloudflare creates the Account in that Organization; otherwise, the request returns an error.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: AccountCreateParams { name, standalone, type, 2 more }
name: string

Body param: Account name

standalone?: true

Body param: Set to true and omit unit to create a standalone Free Account. If provided, this field must be true.

type?: "standard" | "enterprise"

Body param

One of the following:
"standard"
"enterprise"
unit?: Unit

Body param: Information related to the tenant unit. Provide its ID and omit standalone to create the Account within an Organization. See https://api-docs.dnstools.im/tenant/how-to/manage-accounts/.

id?: string

Tenant unit ID

idempotencyKey?: string

Header param: Optional key that identifies an Account-creation request. Free Account creation can require exactly one valid key, so API clients should send a key with every Account-creation request. Reuse the same key when retrying the same request.

maxLength128
minLength1
ReturnsExpand Collapse
Account { id, name, type, 3 more }
id: string

Identifier

maxLength32
minLength32
name: string

Account name

maxLength100
type: "standard" | "enterprise"
One of the following:
"standard"
"enterprise"
created_on?: string

Timestamp for the creation of the account

formatdate-time
managed_by?: ManagedBy { parent_org_id, parent_org_name }

Parent container details

parent_org_id?: string

ID of the parent Organization, if one exists

maxLength32
parent_org_name?: string

Name of the parent Organization, if one exists

settings?: Settings { abuse_contact_email, enforce_twofactor }

Account settings

abuse_contact_email?: string

Sets an abuse contact email to notify for abuse reports.

enforce_twofactor?: boolean

Indicates whether membership in this account requires that Two-Factor Authentication is enabled

Create an Account

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

const account = await client.accounts.create({ name: 'name' });

console.log(account.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "name": "Demo Account",
    "type": "standard",
    "created_on": "2014-03-01T12:21:02Z",
    "managed_by": {
      "parent_org_id": "4536bcfad5faccb111b47003c79917fa",
      "parent_org_name": "Demo Parent Organization"
    },
    "settings": {
      "abuse_contact_email": "abuse_contact_email",
      "enforce_twofactor": true
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "name": "Demo Account",
    "type": "standard",
    "created_on": "2014-03-01T12:21:02Z",
    "managed_by": {
      "parent_org_id": "4536bcfad5faccb111b47003c79917fa",
      "parent_org_name": "Demo Parent Organization"
    },
    "settings": {
      "abuse_contact_email": "abuse_contact_email",
      "enforce_twofactor": true
    }
  }
}